<sqtm-core-customisable-dialog
  [titleKey]="configuration.titleKey"
  [dialogId]="'requirement-version-link'"
  (confirm)="confirmLink()"
>
  <sqtm-core-dialog-body>
    <div class="requirement-link-grid" [formGroup]="formGroup">
      <span [attr.data-test-element-id]="'reqVersionName'">{{
        configuration.requirementVersionName
      }}</span>
      <sqtm-core-select-field
        [formGroup]="formGroup"
        [fieldName]="'type'"
        [options]="linkOptions"
      ></sqtm-core-select-field>
      <span [attr.data-test-element-id]="'relatedVersionName'">{{
        configuration.requirementVersionNodesName
      }}</span>
    </div>
  </sqtm-core-dialog-body>
</sqtm-core-customisable-dialog>
